1. Yuri Denshchik
  2. PowerBuilder
  3. Wednesday, 31 January 2018 22:54 PM

I've noticed that PB2017 R2 has to be installed exclusively and PB2017 R1 has to be uninstalled. 
That brings question, when we need to patch existing app previously compiled with 2017 R1,  is it ok to compile on R2 and deliver just .pbd and .exe files on systems with PB2017 R1 runtime files?

Thanks,

Yuri

Chris Pollach @Appeon Accepted Answer Pending Moderation
  1. Thursday, 1 February 2018 03:01 AM
  2. PowerBuilder
  3. # 1
0
Votes
Undo

Hi Yuri;

  This is no different than moving from one MR to another, one EBF level to another, one revision to another, etc in any Sybase, SAP or now Appeon PB version. Never ever apply these to any PB version without completely doing a full build on your PB Apps, redeploying and refreshing the PBVM (PB run-time). The generated code for the App and the associated runtime are a matched pair. Like the tires on a car, never mix & match or unexpected behaviour could occur.

HTH

Regards ... Chris

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.